import img.Picture;
import img.Pixel;

import java.awt.Color;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L14App2 {
	public static void main(String[] args) {
		PrintStream output = System.out;
		/*
		 * Construct an image object from the following file (assume the file is
		 * present): "/Users/mb/000_images_1710/treefrog.jpg"
		 */
		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";
		Picture myPict = new Picture(myPathName);
		myPict.show();

		// Now derive a reference to the pixel object that encapsulates the
		// pixel that occurs in the center of the image

		final int ROW_INDEX = myPict.getHeight() / 2;
		final int COL_INDEX = myPict.getWidth() / 2;
		Pixel thePixel1 = myPict.getPixel(COL_INDEX, ROW_INDEX);
		Pixel thePixel2 = myPict.getPixel(COL_INDEX + 1, ROW_INDEX + 1);
		System.out.println(thePixel1);
		System.out.println(thePixel2);
		
		thePixel1.setRed(thePixel2.getRed());
		thePixel1.setGreen(thePixel2.getGreen());
		thePixel1.setBlue(thePixel2.getBlue());
		thePixel1.setAlpha(thePixel2.getAlpha());
		System.out.println(thePixel1);
		System.out.println(thePixel2);
		boolean test1 = thePixel1 == thePixel2;
		boolean test2 = thePixel1.equals(thePixel2);
		System.out.println(test1);
		System.out.println(test2);
//		Color col1 = thePixel1.getColor();
//		Color col2 = thePixel2.getColor();
//		System.out.println(col1.equals(col2));
	}
}
