import img.Picture;
import img.Pixel;

import java.awt.Color;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L14App1 {
	public static void main(String[] args) {
		PrintStream output = System.out;
		/*
		 * Construct an image object from the following file (assume the file is
		 * present): "/Users/mb/000_images_1710/treefrog.jpg"
		 */
		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";
		Picture myPict = new Picture(myPathName);
		// myPict.show(); // can show if we want, but not necessary

		// Now derive a reference to the pixel object that encapsulates the
		// pixel that occurs in the center of the image

		final int ROW_INDEX = myPict.getHeight() / 2;
		final int COL_INDEX = myPict.getWidth() / 2;
		Pixel thePixel = myPict.getPixel(COL_INDEX, ROW_INDEX);

		System.out.println(thePixel.toString());
		thePixel.setRed(1000000);
		// contrary to the contract, the r component is not assigned the passed
		// value (not all contracts are good ones!)
		System.out.println(thePixel.toString());
		// here is an example of implicit invocation of toString()
		System.out.println(thePixel);
		// here is an example of implicit invocation of toString() (default toString behaviour)
		System.out.println(output);
	}
}
